POST API/Stock/GetInvoiceOutgoing
Request Information
URI Parameters
None.
Body Parameters
InvoiceOutgoingM| Name | Description | Type | Additional information |
|---|---|---|---|
| dtS | date |
None. |
|
| dtE | date |
None. |
|
| ID | globally unique identifier |
None. |
|
| Department_ID | integer |
None. |
|
| invoiceNumber | string |
None. |
|
| invoiceDate | date |
None. |
|
| isDelivered | boolean |
None. |
|
| typeOutgoing | integer |
None. |
|
| warehouse | integer |
None. |
|
| CreateDate | date |
None. |
|
| UpdateUser | globally unique identifier |
None. |
|
| UpdateDate | date |
None. |
|
| Comment | string |
None. |
|
| invoice_ID | globally unique identifier |
None. |
|
| StockOutgoings | Collection of StockOutgoingM |
None. |
|
| onlyUnattached | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"dtS": "2026-05-17T04:11:32.4972201+05:00",
"dtE": "2026-05-17T04:11:32.4972201+05:00",
"ID": "f5dd27e6-111a-4008-b359-308c56a39383",
"Department_ID": 1,
"invoiceNumber": "sample string 2",
"invoiceDate": "2026-05-17T04:11:32.4972201+05:00",
"isDelivered": true,
"typeOutgoing": 1,
"warehouse": 4,
"CreateDate": "2026-05-17T04:11:32.4972201+05:00",
"UpdateUser": "32eda710-ec85-44d0-ba1d-4de47dc17a2e",
"UpdateDate": "2026-05-17T04:11:32.4972201+05:00",
"Comment": "sample string 5",
"invoice_ID": "f9001ebc-a7ef-4d1b-b13e-9438d5ea98f5",
"StockOutgoings": [
{
"ID": "5f1b08e5-53e9-495b-b7d7-438461cb9796",
"Stock_ID": "b8835cee-b2cb-4442-9a21-5aeb43121f18",
"Quantity": 3.0,
"CreateDate": "2026-05-17T04:11:32.4972201+05:00",
"UpdatePerson_ID": "08fc079f-5a49-4fa1-8d2c-15a90ee04ac4",
"Invoice_Details_ID": "46f09d7e-7b17-4859-9446-ed38070d3e4a",
"Price": 7.0,
"Sum": 8.0,
"StockIncoming_ID": "41460e78-d2a9-48f3-bc69-e2c8d6c1086b",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Stock": {
"ID": "629dfa19-4461-449e-9278-3351d26924e8",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-05-17T04:11:32.4972201+05:00"
}
},
{
"ID": "5f1b08e5-53e9-495b-b7d7-438461cb9796",
"Stock_ID": "b8835cee-b2cb-4442-9a21-5aeb43121f18",
"Quantity": 3.0,
"CreateDate": "2026-05-17T04:11:32.4972201+05:00",
"UpdatePerson_ID": "08fc079f-5a49-4fa1-8d2c-15a90ee04ac4",
"Invoice_Details_ID": "46f09d7e-7b17-4859-9446-ed38070d3e4a",
"Price": 7.0,
"Sum": 8.0,
"StockIncoming_ID": "41460e78-d2a9-48f3-bc69-e2c8d6c1086b",
"UnitOfMeasurement": 1,
"InventoryNumber": 1,
"Stock": {
"ID": "629dfa19-4461-449e-9278-3351d26924e8",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-05-17T04:11:32.4972201+05:00"
}
}
],
"onlyUnattached": true
}
application/xml, text/xml
Sample:
<InvoiceOutgoingM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Comment>sample string 5</Comment>
<CreateDate>2026-05-17T04:11:32.4972201+05:00</CreateDate>
<Department_ID>1</Department_ID>
<ID>f5dd27e6-111a-4008-b359-308c56a39383</ID>
<StockOutgoings>
<StockOutgoingM>
<CreateDate>2026-05-17T04:11:32.4972201+05:00</CreateDate>
<ID>5f1b08e5-53e9-495b-b7d7-438461cb9796</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>46f09d7e-7b17-4859-9446-ed38070d3e4a</Invoice_Details_ID>
<Price>7</Price>
<Quantity>3</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-05-17T04:11:32.4972201+05:00</CreateDate>
<ID>629dfa19-4461-449e-9278-3351d26924e8</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>41460e78-d2a9-48f3-bc69-e2c8d6c1086b</StockIncoming_ID>
<Stock_ID>b8835cee-b2cb-4442-9a21-5aeb43121f18</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>08fc079f-5a49-4fa1-8d2c-15a90ee04ac4</UpdatePerson_ID>
</StockOutgoingM>
<StockOutgoingM>
<CreateDate>2026-05-17T04:11:32.4972201+05:00</CreateDate>
<ID>5f1b08e5-53e9-495b-b7d7-438461cb9796</ID>
<InventoryNumber>1</InventoryNumber>
<Invoice_Details_ID>46f09d7e-7b17-4859-9446-ed38070d3e4a</Invoice_Details_ID>
<Price>7</Price>
<Quantity>3</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-05-17T04:11:32.4972201+05:00</CreateDate>
<ID>629dfa19-4461-449e-9278-3351d26924e8</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>41460e78-d2a9-48f3-bc69-e2c8d6c1086b</StockIncoming_ID>
<Stock_ID>b8835cee-b2cb-4442-9a21-5aeb43121f18</Stock_ID>
<Sum>8</Sum>
<UnitOfMeasurement>1</UnitOfMeasurement>
<UpdatePerson_ID>08fc079f-5a49-4fa1-8d2c-15a90ee04ac4</UpdatePerson_ID>
</StockOutgoingM>
</StockOutgoings>
<UpdateDate>2026-05-17T04:11:32.4972201+05:00</UpdateDate>
<UpdateUser>32eda710-ec85-44d0-ba1d-4de47dc17a2e</UpdateUser>
<dtE>2026-05-17T04:11:32.4972201+05:00</dtE>
<dtS>2026-05-17T04:11:32.4972201+05:00</dtS>
<invoiceDate>2026-05-17T04:11:32.4972201+05:00</invoiceDate>
<invoiceNumber>sample string 2</invoiceNumber>
<invoice_ID>f9001ebc-a7ef-4d1b-b13e-9438d5ea98f5</invoice_ID>
<isDelivered>true</isDelivered>
<onlyUnattached>true</onlyUnattached>
<typeOutgoing>1</typeOutgoing>
<warehouse>4</warehouse>
</InvoiceOutgoingM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>